Name:           libgee
Version:        0.20.4
Release:        1
Summary:        An utility library providing GObject-based interfaces and classes
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Libgee
Source0:        https://download.gnome.org/sources/libgee/0.20/%{name}-%{version}.tar.xz

BuildRequires:  glib2-devel gobject-introspection-devel

%description
Libgee is an utility library providing GObject-based interfaces and classes for commonly used data
structures.Libgee is written in Vala and can be used like any GObject-based C library.
It's planned to provide bindings for further languages.

%package        devel
Summary:        Development files and Header files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

%install
%make_install
%delete_la

%check
make check %{?_smp_mflags}

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%license COPYING
%{_libdir}/libgee-0.8.so.*
%{_libdir}/girepository-1.0/*

%files devel
%defattr(-,root,root)
%{_includedir}/gee-0.8/*
%{_libdir}/libgee-0.8.so
%{_libdir}/pkgconfig/gee-0.8.pc
%{_datadir}/vala/vapi/*
%{_datadir}/gir-1.0/*.gir

%files help
%defattr(-,root,root)
%doc NEWS README AUTHORS MAINTAINERS

%changelog
* Mon Jun 7 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 0.20.4-1
- Upgrade to 0.20.4
- Update Version, stage 'check' and 'files'

* Wed Jan 27 2021 hanhui <hanhui15@huawei.com> - 0.20.3-1
- Type: enhancement
- ID:   NA
- SUG:  NA
- DESC: update to 0.20.3

* Tue Sep 03 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.20.1-5
- Type: enhancement
- ID:   NA
- SUG:  NA
- DESC: rebuilt spec, add help package.

* Tue Aug 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.20.1-4
- Type: bugfix
- ID:   NA
- SUG:  NA
- DESC: openEuler Debranding

* Tue Aug 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.20.1-3
- Package init
